<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>wims: ldap Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="examples.html"><span>Examples</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>ldap Class Reference</h1><!-- doxytag: class="ldap" --><!-- doxytag: inherits="authentication" --><div class="dynheader">
Inheritance diagram for ldap:</div>
<div class="dynsection">
 <div class="center">
  <img src="classldap.gif" usemap="#ldap_map" alt=""/>
  <map id="ldap_map" name="ldap_map">
<area href="classauthentication.html" alt="authentication" shape="rect" coords="0,0,90,24"/>
<area href="classcas.html" alt="cas" shape="rect" coords="0,112,90,136"/>
</map>
 </div>
</div>

<p><a href="classldap-members.html">List of all members.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classldap.html#a0f722166dd03a38451c6921e6a21d7f6">__construct</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classldap.html#a3e146d2514cb15195475262d275bfad7">connection</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classldap.html#ad0a304db04edabe8cf55efb816ba4a7d">get_login</a> ()</td></tr>
<tr><td colspan="2"><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classldap.html#a595044cd7c9a244fc1659a200eeb6048">$host</a> = &quot;&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classldap.html#a679675b2d334f01c8a67a3a77846abf9">$port</a> = &quot;&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classldap.html#a61d76b57863dec3a2986391d3822a99c">$basedn</a> = &quot;&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classldap.html#a0b07dd52f1a4fd92cb76e46f5576f42f">$version</a> = &quot;&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classldap.html#a92faf04c92d08363e548ca42ab2df413">$connection</a> = false</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classldap.html#aaca0e5208c5ecf7040d79f852cbcc116">$search_field</a> = &quot;&quot;</td></tr>
</table>
<hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>This class extends <a class="el" href="classauthentication.html">authentication</a> class to use LDAP informations</p>
<p>author: Christophe Lefevre - <a href="mailto:christophe.lefevre@u-psud.fr">christophe.lefevre@u-psud.fr</a> date: 16-01-2009 </p>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a0f722166dd03a38451c6921e6a21d7f6"></a><!-- doxytag: member="ldap::__construct" ref="a0f722166dd03a38451c6921e6a21d7f6" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ldap::__construct </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>constructor which call parent constructor and initialize some variables</p>
<dl class="return"><dt><b>Returns:</b></dt><dd>void </dd></dl>

<p>Reimplemented from <a class="el" href="classauthentication.html#a51c7d39de8520fa7d41e5e8e762f7ed2">authentication</a>.</p>

<p>Reimplemented in <a class="el" href="classcas.html#aa028961b8b60535c127f7e57bfa437ba">cas</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a3e146d2514cb15195475262d275bfad7"></a><!-- doxytag: member="ldap::connection" ref="a3e146d2514cb15195475262d275bfad7" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ldap::connection </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This function initialize anonymous connection to LDAP server and store connection into connection class's variable</p>
<dl class="return"><dt><b>Returns:</b></dt><dd>void </dd></dl>

</div>
</div>
<a class="anchor" id="ad0a304db04edabe8cf55efb816ba4a7d"></a><!-- doxytag: member="ldap::get_login" ref="ad0a304db04edabe8cf55efb816ba4a7d" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ldap::get_login </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This function search <a class="el" href="classwims.html">wims</a> login with class variables. It checks also if connection to LDAP is ready</p>
<dl class="return"><dt><b>Returns:</b></dt><dd>string wim's login </dd></dl>

<p>Reimplemented from <a class="el" href="classauthentication.html#af94c0b076454f73ea61cb7e73bcd620b">authentication</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a61d76b57863dec3a2986391d3822a99c"></a><!-- doxytag: member="ldap::$basedn" ref="a61d76b57863dec3a2986391d3822a99c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ldap::$basedn = &quot;&quot;</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a92faf04c92d08363e548ca42ab2df413"></a><!-- doxytag: member="ldap::$connection" ref="a92faf04c92d08363e548ca42ab2df413" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ldap::$connection = false</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p><a class="el" href="classldap.html">ldap</a> connection </p>

</div>
</div>
<a class="anchor" id="a595044cd7c9a244fc1659a200eeb6048"></a><!-- doxytag: member="ldap::$host" ref="a595044cd7c9a244fc1659a200eeb6048" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ldap::$host = &quot;&quot;</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>variables about <a class="el" href="classldap.html">ldap</a> connection </p>

</div>
</div>
<a class="anchor" id="a679675b2d334f01c8a67a3a77846abf9"></a><!-- doxytag: member="ldap::$port" ref="a679675b2d334f01c8a67a3a77846abf9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ldap::$port = &quot;&quot;</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aaca0e5208c5ecf7040d79f852cbcc116"></a><!-- doxytag: member="ldap::$search_field" ref="aaca0e5208c5ecf7040d79f852cbcc116" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ldap::$search_field = &quot;&quot;</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>field to use to search wims's login </p>

</div>
</div>
<a class="anchor" id="a0b07dd52f1a4fd92cb76e46f5576f42f"></a><!-- doxytag: member="ldap::$version" ref="a0b07dd52f1a4fd92cb76e46f5576f42f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ldap::$version = &quot;&quot;</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>D:/web/serveur/dokeos/acces_wims/<a class="el" href="ldap_8inc_8php.html">ldap.inc.php</a></li>
</ul>
</div>
<hr size="1"/><address style="text-align: right;"><small>Generated on Thu Oct 8 11:33:57 2009 for wims by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
